org.keycloak.services.resources.admin

## Class ScopeMappedApplicationResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ScopeMappedApplicationResource

-     public class ScopeMappedApplicationResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ApplicationModel` | `app`
    `protected ClientModel` | `client`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeMappedApplicationResource(RealmModel realm, RealmAuth auth, ClientModel client, KeycloakSession session, ApplicationModel app)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addApplicationScopeMapping(List<RoleRepresentation> roles)` Add application-level roles to the client's scope
    `void` | `deleteApplicationScopeMapping(List<RoleRepresentation> roles)` Remove application-level roles from the client's scope.
    `List<RoleRepresentation>` | `getApplicationScopeMappings()` Get the roles associated with a client's scope for a specific application.
    `List<RoleRepresentation>` | `getAvailableApplicationScopeMappings()` The available application-level roles that can be associated with the client's scope
    `List<RoleRepresentation>` | `getCompositeApplicationScopeMappings()` Get effective application roles that are associated with the client's scope for a specific application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmModel realm

    - #### client

          protected ClientModel client

    - #### session

          protected KeycloakSession session

    - #### app

          protected ApplicationModel app

  - ### Constructor Detail

    - #### ScopeMappedApplicationResource

          public ScopeMappedApplicationResource(RealmModel realm,
                                        RealmAuth auth,
                                        ClientModel client,
                                        KeycloakSession session,
                                        ApplicationModel app)

  - ### Method Detail

    - #### getApplicationScopeMappings

          @GET
          @Produces(value="application/json")
          public List<RoleRepresentation> getApplicationScopeMappings()

      Get the roles associated with a client's scope for a specific application.
      Returns:

    - #### getAvailableApplicationScopeMappings

          @Path(value="available")
          @GET
          @Produces(value="application/json")
          public List<RoleRepresentation> getAvailableApplicationScopeMappings()

      The available application-level roles that can be associated with the client's scope
      Returns:

    - #### getCompositeApplicationScopeMappings

          @Path(value="composite")
          @GET
          @Produces(value="application/json")
          public List<RoleRepresentation> getCompositeApplicationScopeMappings()

      Get effective application roles that are associated with the client's scope for a specific application.
      Returns:

    - #### addApplicationScopeMapping

          @POST
          @Consumes(value="application/json")
          public void addApplicationScopeMapping(List<RoleRepresentation> roles)

      Add application-level roles to the client's scope
      Parameters:
        `roles` -

    - #### deleteApplicationScopeMapping

          @DELETE
          @Consumes(value="application/json")
          public void deleteApplicationScopeMapping(List<RoleRepresentation> roles)

      Remove application-level roles from the client's scope.
      Parameters:
        `roles` -

Copyright © 2014. All Rights Reserved.